"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const toggleTransform = () => {
  return ({ setter }) => {
    return {
      toggle: () => {
        setter((prev) => !prev);
      },
      set: setter
    };
  };
};
const dialogTransform = () => {
  return ({ setter }) => {
    return {
      close: () => {
        const newValue = {
          isOpen: false
        };
        setter(newValue);
      },
      open: (state) => {
        const newValue = {
          isOpen: true,
          state
        };
        setter(newValue);
      },
      setState: (newState) => {
        setter((prev) => {
          return {
            state: newState,
            isOpen: prev.isOpen
          };
        });
      }
    };
  };
};
const pageTransform = () => {
  return ({ setter }) => {
    return {
      next: () => {
        setter((prev) => {
          return {
            page: prev.page + 1,
            size: prev.size
          };
        });
      },
      prev: () => {
        setter((prev) => {
          return {
            page: prev.page - 1,
            size: prev.size
          };
        });
      },
      setPage: (page) => {
        setter((prev) => {
          return {
            page,
            size: prev.size
          };
        });
      },
      setSize: (size) => {
        setter((prev) => {
          return {
            page: prev.page,
            size
          };
        });
      }
    };
  };
};
exports.dialogTransform = dialogTransform;
exports.pageTransform = pageTransform;
exports.toggleTransform = toggleTransform;
//# sourceMappingURL=transform.cjs.map
