import { ParamStore } from './store.js';
import { OptionsWithDefault, Setter } from './types.js';
import { BatchingApi } from './api.js';
export declare const create: () => {
    useParamGet: <T>(paramName: string, options: OptionsWithDefault<T>) => T;
    useParamSet: <T, S extends object = object>(paramName: string, options: OptionsWithDefault<T>) => (value: Setter<T>, state?: S) => void;
    useParam: <T>(paramName: string, options: OptionsWithDefault<T>) => readonly [T, (value: Setter<T>, state?: object | undefined) => void];
    paramsStore: ParamStore;
    api: BatchingApi;
};
export type ParamsCore = ReturnType<typeof create>;
